published on Wednesday, Aug 5, 2026 by Pulumi
published on Wednesday, Aug 5, 2026 by Pulumi
Workflow Version Resource
Uses Azure REST API version 2025-08-15-preview.
Example Usage
WorkflowVersionV2s_CreateOrUpdate_MaximumSet
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using AzureNative = Pulumi.AzureNative;
return await Deployment.RunAsync(() =>
{
var workflowVersionV2 = new AzureNative.Edge.WorkflowVersionV2("workflowVersionV2", new()
{
ExtendedLocation = new AzureNative.Edge.Inputs.AzureResourceManagerCommonTypesExtendedLocationArgs
{
Name = "szjrwimeqyiue",
Type = AzureNative.Edge.ExtendedLocationType.EdgeZone,
},
Properties = new AzureNative.Edge.Inputs.WorkflowVersionV2PropertiesArgs
{
Specification = null,
StageSpec = new[]
{
new AzureNative.Edge.Inputs.StageSpecArgs
{
Name = "amrbjd",
Specification = null,
TaskOption = new AzureNative.Edge.Inputs.TaskOptionArgs
{
Concurrency = 3,
ErrorAction = new AzureNative.Edge.Inputs.ErrorActionArgs
{
MaxToleratedFailures = 0,
Mode = AzureNative.Edge.ErrorActionMode.StopOnAnyFailure,
},
},
Tasks = new[]
{
new AzureNative.Edge.Inputs.TaskSpecArgs
{
Name = "xxmeyvmgydbcwxqwjhadjxjod",
Specification = null,
TargetId = "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}",
},
},
},
},
},
ResourceGroupName = "rgconfigurationmanager",
VersionName = "abcde",
WorkflowName = "abcde",
});
});
package main
import (
edge "github.com/pulumi/pulumi-azure-native-sdk/edge/v3"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := edge.NewWorkflowVersionV2(ctx, "workflowVersionV2", &edge.WorkflowVersionV2Args{
ExtendedLocation: &edge.AzureResourceManagerCommonTypesExtendedLocationArgs{
Name: pulumi.String("szjrwimeqyiue"),
Type: pulumi.String(edge.ExtendedLocationTypeEdgeZone),
},
Properties: &edge.WorkflowVersionV2PropertiesArgs{
Specification: pulumi.Any(map[string]interface{}{}),
StageSpec: edge.StageSpecArray{
&edge.StageSpecArgs{
Name: pulumi.String("amrbjd"),
Specification: pulumi.Any(map[string]interface{}{}),
TaskOption: &edge.TaskOptionArgs{
Concurrency: pulumi.Int(3),
ErrorAction: &edge.ErrorActionArgs{
MaxToleratedFailures: pulumi.Int(0),
Mode: pulumi.String(edge.ErrorActionModeStopOnAnyFailure),
},
},
Tasks: edge.TaskSpecArray{
&edge.TaskSpecArgs{
Name: pulumi.String("xxmeyvmgydbcwxqwjhadjxjod"),
Specification: pulumi.Any(map[string]interface{}{}),
TargetId: pulumi.String("/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"),
},
},
},
},
},
ResourceGroupName: pulumi.String("rgconfigurationmanager"),
VersionName: pulumi.String("abcde"),
WorkflowName: pulumi.String("abcde"),
})
if err != nil {
return err
}
return nil
})
}
pulumi {
required_providers {
azure-native = {
source = "pulumi/azure-native"
}
}
}
resource "azure-native_edge_workflowversionv2" "workflowVersionV2" {
extended_location = {
name = "szjrwimeqyiue"
type = "EdgeZone"
}
properties = {
specification = {}
stage_spec = [{
"name" = "amrbjd"
"specification" = {}
"taskOption" = {
"concurrency" = 3
"errorAction" = {
"maxToleratedFailures" = 0
"mode" = "stopOnAnyFailure"
}
}
"tasks" = [{
"name" = "xxmeyvmgydbcwxqwjhadjxjod"
"specification" = {}
"targetId" = "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
}]
}]
}
resource_group_name = "rgconfigurationmanager"
version_name = "abcde"
workflow_name = "abcde"
}
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.azurenative.edge.WorkflowVersionV2;
import com.pulumi.azurenative.edge.WorkflowVersionV2Args;
import com.pulumi.azurenative.edge.inputs.AzureResourceManagerCommonTypesExtendedLocationArgs;
import com.pulumi.azurenative.edge.inputs.WorkflowVersionV2PropertiesArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var workflowVersionV2 = new WorkflowVersionV2("workflowVersionV2", WorkflowVersionV2Args.builder()
.extendedLocation(AzureResourceManagerCommonTypesExtendedLocationArgs.builder()
.name("szjrwimeqyiue")
.type("EdgeZone")
.build())
.properties(WorkflowVersionV2PropertiesArgs.builder()
.specification(Map.ofEntries(
))
.stageSpec(StageSpecArgs.builder()
.name("amrbjd")
.specification(Map.ofEntries(
))
.taskOption(TaskOptionArgs.builder()
.concurrency(3)
.errorAction(ErrorActionArgs.builder()
.maxToleratedFailures(0)
.mode("stopOnAnyFailure")
.build())
.build())
.tasks(TaskSpecArgs.builder()
.name("xxmeyvmgydbcwxqwjhadjxjod")
.specification(Map.ofEntries(
))
.targetId("/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}")
.build())
.build())
.build())
.resourceGroupName("rgconfigurationmanager")
.versionName("abcde")
.workflowName("abcde")
.build());
}
}
import * as pulumi from "@pulumi/pulumi";
import * as azure_native from "@pulumi/azure-native";
const workflowVersionV2 = new azure_native.edge.WorkflowVersionV2("workflowVersionV2", {
extendedLocation: {
name: "szjrwimeqyiue",
type: azure_native.edge.ExtendedLocationType.EdgeZone,
},
properties: {
specification: {},
stageSpec: [{
name: "amrbjd",
specification: {},
taskOption: {
concurrency: 3,
errorAction: {
maxToleratedFailures: 0,
mode: azure_native.edge.ErrorActionMode.StopOnAnyFailure,
},
},
tasks: [{
name: "xxmeyvmgydbcwxqwjhadjxjod",
specification: {},
targetId: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}",
}],
}],
},
resourceGroupName: "rgconfigurationmanager",
versionName: "abcde",
workflowName: "abcde",
});
import pulumi
import pulumi_azure_native as azure_native
workflow_version_v2 = azure_native.edge.WorkflowVersionV2("workflowVersionV2",
extended_location={
"name": "szjrwimeqyiue",
"type": azure_native.edge.ExtendedLocationType.EDGE_ZONE,
},
properties={
"specification": {},
"stage_spec": [{
"name": "amrbjd",
"specification": {},
"task_option": {
"concurrency": 3,
"error_action": {
"max_tolerated_failures": 0,
"mode": azure_native.edge.ErrorActionMode.STOP_ON_ANY_FAILURE,
},
},
"tasks": [{
"name": "xxmeyvmgydbcwxqwjhadjxjod",
"specification": {},
"target_id": "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}",
}],
}],
},
resource_group_name="rgconfigurationmanager",
version_name="abcde",
workflow_name="abcde")
resources:
workflowVersionV2:
type: azure-native:edge:WorkflowVersionV2
properties:
extendedLocation:
name: szjrwimeqyiue
type: EdgeZone
properties:
specification: {}
stageSpec:
- name: amrbjd
specification: {}
taskOption:
concurrency: 3
errorAction:
maxToleratedFailures: 0
mode: stopOnAnyFailure
tasks:
- name: xxmeyvmgydbcwxqwjhadjxjod
specification: {}
targetId: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
resourceGroupName: rgconfigurationmanager
versionName: abcde
workflowName: abcde
Create WorkflowVersionV2 Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new WorkflowVersionV2(name: string, args: WorkflowVersionV2Args, opts?: CustomResourceOptions);@overload
def WorkflowVersionV2(resource_name: str,
args: WorkflowVersionV2Args,
opts: Optional[ResourceOptions] = None)
@overload
def WorkflowVersionV2(resource_name: str,
opts: Optional[ResourceOptions] = None,
resource_group_name: Optional[str] = None,
workflow_name: Optional[str] = None,
extended_location: Optional[AzureResourceManagerCommonTypesExtendedLocationArgs] = None,
properties: Optional[WorkflowVersionV2PropertiesArgs] = None,
version_name: Optional[str] = None)func NewWorkflowVersionV2(ctx *Context, name string, args WorkflowVersionV2Args, opts ...ResourceOption) (*WorkflowVersionV2, error)public WorkflowVersionV2(string name, WorkflowVersionV2Args args, CustomResourceOptions? opts = null)
public WorkflowVersionV2(String name, WorkflowVersionV2Args args)
public WorkflowVersionV2(String name, WorkflowVersionV2Args args, CustomResourceOptions options)
type: azure-native:edge:WorkflowVersionV2
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
resource "azure-native_edge_workflow_version_v2" "name" {
# resource properties
}Parameters
- name string
- The unique name of the resource.
- args WorkflowVersionV2Args
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args WorkflowVersionV2Args
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args WorkflowVersionV2Args
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args WorkflowVersionV2Args
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args WorkflowVersionV2Args
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var workflowVersionV2Resource = new AzureNative.Edge.WorkflowVersionV2("workflowVersionV2Resource", new()
{
ResourceGroupName = "string",
WorkflowName = "string",
ExtendedLocation = new AzureNative.Edge.Inputs.AzureResourceManagerCommonTypesExtendedLocationArgs
{
Name = "string",
Type = "string",
},
Properties = new AzureNative.Edge.Inputs.WorkflowVersionV2PropertiesArgs
{
StageSpec = new[]
{
new AzureNative.Edge.Inputs.StageSpecArgs
{
Name = "string",
Specification = "any",
TaskOption = new AzureNative.Edge.Inputs.TaskOptionArgs
{
Concurrency = 0,
ErrorAction = new AzureNative.Edge.Inputs.ErrorActionArgs
{
MaxToleratedFailures = 0,
Mode = "string",
},
},
Tasks = new[]
{
new AzureNative.Edge.Inputs.TaskSpecArgs
{
Name = "string",
Specification = "any",
TargetId = "string",
},
},
},
},
Specification = "any",
},
VersionName = "string",
});
example, err := edge.NewWorkflowVersionV2(ctx, "workflowVersionV2Resource", &edge.WorkflowVersionV2Args{
ResourceGroupName: pulumi.String("string"),
WorkflowName: pulumi.String("string"),
ExtendedLocation: &edge.AzureResourceManagerCommonTypesExtendedLocationArgs{
Name: pulumi.String("string"),
Type: pulumi.String("string"),
},
Properties: &edge.WorkflowVersionV2PropertiesArgs{
StageSpec: edge.StageSpecArray{
&edge.StageSpecArgs{
Name: pulumi.String("string"),
Specification: pulumi.Any("any"),
TaskOption: &edge.TaskOptionArgs{
Concurrency: pulumi.Int(0),
ErrorAction: &edge.ErrorActionArgs{
MaxToleratedFailures: pulumi.Int(0),
Mode: pulumi.String("string"),
},
},
Tasks: edge.TaskSpecArray{
&edge.TaskSpecArgs{
Name: pulumi.String("string"),
Specification: pulumi.Any("any"),
TargetId: pulumi.String("string"),
},
},
},
},
Specification: pulumi.Any("any"),
},
VersionName: pulumi.String("string"),
})
resource "azure-native_edge_workflow_version_v2" "workflowVersionV2Resource" {
lifecycle {
create_before_destroy = true
}
resource_group_name = "string"
workflow_name = "string"
extended_location = {
name = "string"
type = "string"
}
properties = {
stage_spec = [{
name = "string"
specification = "any"
task_option = {
concurrency = 0
error_action = {
max_tolerated_failures = 0
mode = "string"
}
}
tasks = [{
name = "string"
specification = "any"
target_id = "string"
}]
}]
specification = "any"
}
version_name = "string"
}
var workflowVersionV2Resource = new WorkflowVersionV2("workflowVersionV2Resource", WorkflowVersionV2Args.builder()
.resourceGroupName("string")
.workflowName("string")
.extendedLocation(com.pulumi.azurenative.edge.inputs.AzureResourceManagerCommonTypesExtendedLocationArgs.builder()
.name("string")
.type("string")
.build())
.properties(WorkflowVersionV2PropertiesArgs.builder()
.stageSpec(StageSpecArgs.builder()
.name("string")
.specification("any")
.taskOption(TaskOptionArgs.builder()
.concurrency(0)
.errorAction(ErrorActionArgs.builder()
.maxToleratedFailures(0)
.mode("string")
.build())
.build())
.tasks(TaskSpecArgs.builder()
.name("string")
.specification("any")
.targetId("string")
.build())
.build())
.specification("any")
.build())
.versionName("string")
.build());
workflow_version_v2_resource = azure_native.edge.WorkflowVersionV2("workflowVersionV2Resource",
resource_group_name="string",
workflow_name="string",
extended_location={
"name": "string",
"type": "string",
},
properties={
"stage_spec": [{
"name": "string",
"specification": "any",
"task_option": {
"concurrency": 0,
"error_action": {
"max_tolerated_failures": 0,
"mode": "string",
},
},
"tasks": [{
"name": "string",
"specification": "any",
"target_id": "string",
}],
}],
"specification": "any",
},
version_name="string")
const workflowVersionV2Resource = new azure_native.edge.WorkflowVersionV2("workflowVersionV2Resource", {
resourceGroupName: "string",
workflowName: "string",
extendedLocation: {
name: "string",
type: "string",
},
properties: {
stageSpec: [{
name: "string",
specification: "any",
taskOption: {
concurrency: 0,
errorAction: {
maxToleratedFailures: 0,
mode: "string",
},
},
tasks: [{
name: "string",
specification: "any",
targetId: "string",
}],
}],
specification: "any",
},
versionName: "string",
});
type: azure-native:edge:WorkflowVersionV2
properties:
extendedLocation:
name: string
type: string
properties:
specification: any
stageSpec:
- name: string
specification: any
taskOption:
concurrency: 0
errorAction:
maxToleratedFailures: 0
mode: string
tasks:
- name: string
specification: any
targetId: string
resourceGroupName: string
versionName: string
workflowName: string
WorkflowVersionV2 Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The WorkflowVersionV2 resource accepts the following input properties:
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Workflow
Name string - Name of the workflow
- Extended
Location Pulumi.Azure Native. Edge. Inputs. Azure Resource Manager Common Types Extended Location - The complex type of the extended location.
- Properties
Pulumi.
Azure Native. Edge. Inputs. Workflow Version V2Properties - The resource-specific properties for this resource.
- Version
Name string - The name of the WorkflowVersionV2.
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Workflow
Name string - Name of the workflow
- Extended
Location AzureResource Manager Common Types Extended Location Args - The complex type of the extended location.
- Properties
Workflow
Version V2Properties Args - The resource-specific properties for this resource.
- Version
Name string - The name of the WorkflowVersionV2.
- resource_
group_ stringname - The name of the resource group. The name is case insensitive.
- workflow_
name string - Name of the workflow
- extended_
location object - The complex type of the extended location.
- properties object
- The resource-specific properties for this resource.
- version_
name string - The name of the WorkflowVersionV2.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- workflow
Name String - Name of the workflow
- extended
Location AzureResource Manager Common Types Extended Location - The complex type of the extended location.
- properties
Workflow
Version V2Properties - The resource-specific properties for this resource.
- version
Name String - The name of the WorkflowVersionV2.
- resource
Group stringName - The name of the resource group. The name is case insensitive.
- workflow
Name string - Name of the workflow
- extended
Location AzureResource Manager Common Types Extended Location - The complex type of the extended location.
- properties
Workflow
Version V2Properties - The resource-specific properties for this resource.
- version
Name string - The name of the WorkflowVersionV2.
- resource_
group_ strname - The name of the resource group. The name is case insensitive.
- workflow_
name str - Name of the workflow
- extended_
location AzureResource Manager Common Types Extended Location Args - The complex type of the extended location.
- properties
Workflow
Version V2Properties Args - The resource-specific properties for this resource.
- version_
name str - The name of the WorkflowVersionV2.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- workflow
Name String - Name of the workflow
- extended
Location Property Map - The complex type of the extended location.
- properties Property Map
- The resource-specific properties for this resource.
- version
Name String - The name of the WorkflowVersionV2.
Outputs
All input properties are implicitly available as output properties. Additionally, the WorkflowVersionV2 resource produces the following output properties:
- Azure
Api stringVersion - The Azure API version of the resource.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data Pulumi.Azure Native. Edge. Outputs. System Data Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- Azure
Api stringVersion - The Azure API version of the resource.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure_
api_ stringversion - The Azure API version of the resource.
- e_
tag string - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id string
- The provider-assigned unique ID for this managed resource.
- name string
- The name of the resource
- system_
data object - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api stringVersion - The Azure API version of the resource.
- e
Tag string - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id string
- The provider-assigned unique ID for this managed resource.
- name string
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure_
api_ strversion - The Azure API version of the resource.
- e_
tag str - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id str
- The provider-assigned unique ID for this managed resource.
- name str
- The name of the resource
- system_
data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data Property Map - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
Supporting Types
AzureResourceManagerCommonTypesExtendedLocation, AzureResourceManagerCommonTypesExtendedLocationArgs
The complex type of the extended location.- Name string
- The name of the extended location.
- Type
string | Pulumi.
Azure Native. Edge. Extended Location Type - The type of the extended location.
- Name string
- The name of the extended location.
- Type
string | Extended
Location Type - The type of the extended location.
- name string
- The name of the extended location.
- type
string | "Edge
Zone" | "Custom Location" - The type of the extended location.
- name String
- The name of the extended location.
- type
String | Extended
Location Type - The type of the extended location.
- name string
- The name of the extended location.
- type
string | Extended
Location Type - The type of the extended location.
- name str
- The name of the extended location.
- type
str | Extended
Location Type - The type of the extended location.
- name String
- The name of the extended location.
- type
String | "Edge
Zone" | "Custom Location" - The type of the extended location.
ErrorAction, ErrorActionArgs
Error Action Properties- Max
Tolerated intFailures - Max tolerated failures
- Mode
string | Pulumi.
Azure Native. Edge. Error Action Mode - Error action mode
- Max
Tolerated intFailures - Max tolerated failures
- Mode
string | Error
Action Mode - Error action mode
- max_
tolerated_ numberfailures - Max tolerated failures
- mode
string | "stop
On Any Failure" | "stop On NFailures" | "silently Continue" - Error action mode
- max
Tolerated IntegerFailures - Max tolerated failures
- mode
String | Error
Action Mode - Error action mode
- max
Tolerated numberFailures - Max tolerated failures
- mode
string | Error
Action Mode - Error action mode
- max_
tolerated_ intfailures - Max tolerated failures
- mode
str | Error
Action Mode - Error action mode
- max
Tolerated NumberFailures - Max tolerated failures
- mode
String | "stop
On Any Failure" | "stop On NFailures" | "silently Continue" - Error action mode
ErrorActionMode, ErrorActionModeArgs
- Stop
On Any Failure stopOnAnyFailureStop on any failure- Stop
On NFailures stopOnNFailuresStop after N cumulative failures- Silently
Continue silentlyContinueContinue silently despite errors
- Error
Action Mode Stop On Any Failure stopOnAnyFailureStop on any failure- Error
Action Mode Stop On NFailures stopOnNFailuresStop after N cumulative failures- Error
Action Mode Silently Continue silentlyContinueContinue silently despite errors
- "stop
On Any Failure" stopOnAnyFailureStop on any failure- "stop
On NFailures" stopOnNFailuresStop after N cumulative failures- "silently
Continue" silentlyContinueContinue silently despite errors
- Stop
On Any Failure stopOnAnyFailureStop on any failure- Stop
On NFailures stopOnNFailuresStop after N cumulative failures- Silently
Continue silentlyContinueContinue silently despite errors
- Stop
On Any Failure stopOnAnyFailureStop on any failure- Stop
On NFailures stopOnNFailuresStop after N cumulative failures- Silently
Continue silentlyContinueContinue silently despite errors
- STOP_ON_ANY_FAILURE
stopOnAnyFailureStop on any failure- STOP_ON_N_FAILURES
stopOnNFailuresStop after N cumulative failures- SILENTLY_CONTINUE
silentlyContinueContinue silently despite errors
- "stop
On Any Failure" stopOnAnyFailureStop on any failure- "stop
On NFailures" stopOnNFailuresStop after N cumulative failures- "silently
Continue" silentlyContinueContinue silently despite errors
ErrorActionResponse, ErrorActionResponseArgs
Error Action Properties- Max
Tolerated intFailures - Max tolerated failures
- Mode string
- Error action mode
- Max
Tolerated intFailures - Max tolerated failures
- Mode string
- Error action mode
- max_
tolerated_ numberfailures - Max tolerated failures
- mode string
- Error action mode
- max
Tolerated IntegerFailures - Max tolerated failures
- mode String
- Error action mode
- max
Tolerated numberFailures - Max tolerated failures
- mode string
- Error action mode
- max_
tolerated_ intfailures - Max tolerated failures
- mode str
- Error action mode
- max
Tolerated NumberFailures - Max tolerated failures
- mode String
- Error action mode
ExtendedLocationResponse, ExtendedLocationResponseArgs
The complex type of the extended location.ExtendedLocationType, ExtendedLocationTypeArgs
- Edge
Zone EdgeZoneAzure Edge Zones location type- Custom
Location CustomLocationAzure Custom Locations type
- Extended
Location Type Edge Zone EdgeZoneAzure Edge Zones location type- Extended
Location Type Custom Location CustomLocationAzure Custom Locations type
- "Edge
Zone" EdgeZoneAzure Edge Zones location type- "Custom
Location" CustomLocationAzure Custom Locations type
- Edge
Zone EdgeZoneAzure Edge Zones location type- Custom
Location CustomLocationAzure Custom Locations type
- Edge
Zone EdgeZoneAzure Edge Zones location type- Custom
Location CustomLocationAzure Custom Locations type
- EDGE_ZONE
EdgeZoneAzure Edge Zones location type- CUSTOM_LOCATION
CustomLocationAzure Custom Locations type
- "Edge
Zone" EdgeZoneAzure Edge Zones location type- "Custom
Location" CustomLocationAzure Custom Locations type
StageSpec, StageSpecArgs
Stage Properties- Name string
- Name of Stage
- Specification object
- Stage specification
- Task
Option Pulumi.Azure Native. Edge. Inputs. Task Option - Task option for the stage
- Tasks
List<Pulumi.
Azure Native. Edge. Inputs. Task Spec> - List of tasks in the stage
- Name string
- Name of Stage
- Specification interface{}
- Stage specification
- Task
Option TaskOption - Task option for the stage
- Tasks
[]Task
Spec - List of tasks in the stage
- name string
- Name of Stage
- specification any
- Stage specification
- task_
option object - Task option for the stage
- tasks list(object)
- List of tasks in the stage
- name String
- Name of Stage
- specification Object
- Stage specification
- task
Option TaskOption - Task option for the stage
- tasks
List<Task
Spec> - List of tasks in the stage
- name string
- Name of Stage
- specification any
- Stage specification
- task
Option TaskOption - Task option for the stage
- tasks
Task
Spec[] - List of tasks in the stage
- name str
- Name of Stage
- specification Any
- Stage specification
- task_
option TaskOption - Task option for the stage
- tasks
Sequence[Task
Spec] - List of tasks in the stage
- name String
- Name of Stage
- specification Any
- Stage specification
- task
Option Property Map - Task option for the stage
- tasks List<Property Map>
- List of tasks in the stage
StageSpecResponse, StageSpecResponseArgs
Stage Properties- Name string
- Name of Stage
- Specification object
- Stage specification
- Task
Option Pulumi.Azure Native. Edge. Inputs. Task Option Response - Task option for the stage
- Tasks
List<Pulumi.
Azure Native. Edge. Inputs. Task Spec Response> - List of tasks in the stage
- Name string
- Name of Stage
- Specification interface{}
- Stage specification
- Task
Option TaskOption Response - Task option for the stage
- Tasks
[]Task
Spec Response - List of tasks in the stage
- name string
- Name of Stage
- specification any
- Stage specification
- task_
option object - Task option for the stage
- tasks list(object)
- List of tasks in the stage
- name String
- Name of Stage
- specification Object
- Stage specification
- task
Option TaskOption Response - Task option for the stage
- tasks
List<Task
Spec Response> - List of tasks in the stage
- name string
- Name of Stage
- specification any
- Stage specification
- task
Option TaskOption Response - Task option for the stage
- tasks
Task
Spec Response[] - List of tasks in the stage
- name str
- Name of Stage
- specification Any
- Stage specification
- task_
option TaskOption Response - Task option for the stage
- tasks
Sequence[Task
Spec Response] - List of tasks in the stage
- name String
- Name of Stage
- specification Any
- Stage specification
- task
Option Property Map - Task option for the stage
- tasks List<Property Map>
- List of tasks in the stage
SystemDataResponse, SystemDataResponseArgs
Metadata pertaining to creation and last modification of the resource.- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at string - The timestamp of resource creation (UTC).
- created_
by string - The identity that created the resource.
- created_
by_ stringtype - The type of identity that created the resource.
- last_
modified_ stringat - The timestamp of resource last modification (UTC)
- last_
modified_ stringby - The identity that last modified the resource.
- last_
modified_ stringby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
- created
At string - The timestamp of resource creation (UTC).
- created
By string - The identity that created the resource.
- created
By stringType - The type of identity that created the resource.
- last
Modified stringAt - The timestamp of resource last modification (UTC)
- last
Modified stringBy - The identity that last modified the resource.
- last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at str - The timestamp of resource creation (UTC).
- created_
by str - The identity that created the resource.
- created_
by_ strtype - The type of identity that created the resource.
- last_
modified_ strat - The timestamp of resource last modification (UTC)
- last_
modified_ strby - The identity that last modified the resource.
- last_
modified_ strby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
TaskOption, TaskOptionArgs
Task Option Properties- Concurrency int
- Parallel worker numbers of the tasks
- Error
Action Pulumi.Azure Native. Edge. Inputs. Error Action - Error action for the tasks
- Concurrency int
- Parallel worker numbers of the tasks
- Error
Action ErrorAction - Error action for the tasks
- concurrency number
- Parallel worker numbers of the tasks
- error_
action object - Error action for the tasks
- concurrency Integer
- Parallel worker numbers of the tasks
- error
Action ErrorAction - Error action for the tasks
- concurrency number
- Parallel worker numbers of the tasks
- error
Action ErrorAction - Error action for the tasks
- concurrency int
- Parallel worker numbers of the tasks
- error_
action ErrorAction - Error action for the tasks
- concurrency Number
- Parallel worker numbers of the tasks
- error
Action Property Map - Error action for the tasks
TaskOptionResponse, TaskOptionResponseArgs
Task Option Properties- Concurrency int
- Parallel worker numbers of the tasks
- Error
Action Pulumi.Azure Native. Edge. Inputs. Error Action Response - Error action for the tasks
- Concurrency int
- Parallel worker numbers of the tasks
- Error
Action ErrorAction Response - Error action for the tasks
- concurrency number
- Parallel worker numbers of the tasks
- error_
action object - Error action for the tasks
- concurrency Integer
- Parallel worker numbers of the tasks
- error
Action ErrorAction Response - Error action for the tasks
- concurrency number
- Parallel worker numbers of the tasks
- error
Action ErrorAction Response - Error action for the tasks
- concurrency int
- Parallel worker numbers of the tasks
- error_
action ErrorAction Response - Error action for the tasks
- concurrency Number
- Parallel worker numbers of the tasks
- error
Action Property Map - Error action for the tasks
TaskSpec, TaskSpecArgs
Task Spec- Name string
- Name of Task
- Specification object
- Task specification
- Target
Id string - Target ARM id
- Name string
- Name of Task
- Specification interface{}
- Task specification
- Target
Id string - Target ARM id
- name string
- Name of Task
- specification any
- Task specification
- target_
id string - Target ARM id
- name String
- Name of Task
- specification Object
- Task specification
- target
Id String - Target ARM id
- name string
- Name of Task
- specification any
- Task specification
- target
Id string - Target ARM id
- name str
- Name of Task
- specification Any
- Task specification
- target_
id str - Target ARM id
- name String
- Name of Task
- specification Any
- Task specification
- target
Id String - Target ARM id
TaskSpecResponse, TaskSpecResponseArgs
Task Spec- Name string
- Name of Task
- Specification object
- Task specification
- Target
Id string - Target ARM id
- Name string
- Name of Task
- Specification interface{}
- Task specification
- Target
Id string - Target ARM id
- name string
- Name of Task
- specification any
- Task specification
- target_
id string - Target ARM id
- name String
- Name of Task
- specification Object
- Task specification
- target
Id String - Target ARM id
- name string
- Name of Task
- specification any
- Task specification
- target
Id string - Target ARM id
- name str
- Name of Task
- specification Any
- Task specification
- target_
id str - Target ARM id
- name String
- Name of Task
- specification Any
- Task specification
- target
Id String - Target ARM id
WorkflowVersionV2Properties, WorkflowVersionV2PropertiesArgs
Workflow Version Properties- Stage
Spec List<Pulumi.Azure Native. Edge. Inputs. Stage Spec> - A list of stage specs
- Specification object
- Execution specification
- Stage
Spec []StageSpec - A list of stage specs
- Specification interface{}
- Execution specification
- stage_
spec list(object) - A list of stage specs
- specification any
- Execution specification
- stage
Spec List<StageSpec> - A list of stage specs
- specification Object
- Execution specification
- stage
Spec StageSpec[] - A list of stage specs
- specification any
- Execution specification
- stage_
spec Sequence[StageSpec] - A list of stage specs
- specification Any
- Execution specification
- stage
Spec List<Property Map> - A list of stage specs
- specification Any
- Execution specification
WorkflowVersionV2PropertiesResponse, WorkflowVersionV2PropertiesResponseArgs
Workflow Version Properties- Configuration string
- Resolved configuration values
- Provisioning
State string - Provisioning state of resource
- Review
Id string - Review id of resolved config for this workflow version
- Revision int
- Revision number of resolved config for this workflow version
- Stage
Spec List<Pulumi.Azure Native. Edge. Inputs. Stage Spec Response> - A list of stage specs
- State string
- State of workflow version
- Specification object
- Execution specification
- Configuration string
- Resolved configuration values
- Provisioning
State string - Provisioning state of resource
- Review
Id string - Review id of resolved config for this workflow version
- Revision int
- Revision number of resolved config for this workflow version
- Stage
Spec []StageSpec Response - A list of stage specs
- State string
- State of workflow version
- Specification interface{}
- Execution specification
- configuration string
- Resolved configuration values
- provisioning_
state string - Provisioning state of resource
- review_
id string - Review id of resolved config for this workflow version
- revision number
- Revision number of resolved config for this workflow version
- stage_
spec list(object) - A list of stage specs
- state string
- State of workflow version
- specification any
- Execution specification
- configuration String
- Resolved configuration values
- provisioning
State String - Provisioning state of resource
- review
Id String - Review id of resolved config for this workflow version
- revision Integer
- Revision number of resolved config for this workflow version
- stage
Spec List<StageSpec Response> - A list of stage specs
- state String
- State of workflow version
- specification Object
- Execution specification
- configuration string
- Resolved configuration values
- provisioning
State string - Provisioning state of resource
- review
Id string - Review id of resolved config for this workflow version
- revision number
- Revision number of resolved config for this workflow version
- stage
Spec StageSpec Response[] - A list of stage specs
- state string
- State of workflow version
- specification any
- Execution specification
- configuration str
- Resolved configuration values
- provisioning_
state str - Provisioning state of resource
- review_
id str - Review id of resolved config for this workflow version
- revision int
- Revision number of resolved config for this workflow version
- stage_
spec Sequence[StageSpec Response] - A list of stage specs
- state str
- State of workflow version
- specification Any
- Execution specification
- configuration String
- Resolved configuration values
- provisioning
State String - Provisioning state of resource
- review
Id String - Review id of resolved config for this workflow version
- revision Number
- Revision number of resolved config for this workflow version
- stage
Spec List<Property Map> - A list of stage specs
- state String
- State of workflow version
- specification Any
- Execution specification
Import
An existing resource can be imported using its type token, name, and identifier, e.g.
$ pulumi import azure-native:edge:WorkflowVersionV2 ys /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Edge/workflows/{workflowName}/versions/{versionName}
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0
published on Wednesday, Aug 5, 2026 by Pulumi